当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 20 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-03 3:09 
头像

注册: 2009-07-03 21:13
帖子: 36
送出感谢: 0 次
接收感谢: 0 次
下载了一个32位的程序,放在桌面上了,DEB格式的,结果提示我错误的i386架构,我该怎么办!

谢谢你们都用人话告诉我吧!谢谢了!


_________________
I love smartphone!!!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-03 3:14 
头像

注册: 2009-07-03 21:13
帖子: 36
送出感谢: 0 次
接收感谢: 0 次
例如这样的一个32位程序在桌面上!


附件:
Screenshot.png
Screenshot.png [ 23.22 KiB | 被浏览 426 次 ]


_________________
I love smartphone!!!
页首
 用户资料  
 
3 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-03 3:15 
头像

注册: 2009-07-03 21:13
帖子: 36
送出感谢: 0 次
接收感谢: 0 次
然后双击安装,提示如下:


附件:
Screenshot.png
Screenshot.png [ 22.18 KiB | 被浏览 423 次 ]


_________________
I love smartphone!!!
页首
 用户资料  
 
4 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-03 3:16 
头像

注册: 2009-07-03 21:13
帖子: 36
送出感谢: 0 次
接收感谢: 0 次
然后我该怎么办?看了不少帖子说要添加库,咋添加?库在哪里?放在哪?


_________________
I love smartphone!!!


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-03 3:56 

注册: 2007-12-31 8:35
帖子: 135
送出感谢: 0 次
接收感谢: 0 次
你的系统是64位的ubuntu, 所以你只能下载64位的程序来安装。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-03 9:09 
头像

注册: 2009-08-29 19:10
帖子: 95
送出感谢: 0 次
接收感谢: 0 次
要不你用vbox虚拟个32位的装进去…… :em04


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-03 10:06 
头像

注册: 2006-06-30 7:00
帖子: 74
送出感谢: 0 次
接收感谢: 0 次
1. 32位支持
sudo apt-get install ia32-libs*

2.
sudo dpkg -i --force (你的包)

试试。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-03 22:34 

注册: 2006-12-12 12:31
帖子: 39
送出感谢: 0 次
接收感谢: 0 次
架构不同:32的软件可以安装在64的系统上但64的软件不能安装在32的系统上!


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-04 3:45 
头像

注册: 2009-07-03 21:13
帖子: 36
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install ia32-libs*


这条命令用了完全显示没有找到需要升级的任何文件!也就是说我根本没有这个软件的这个库,是不是需要将这个程序放在哪个文件夹里面去呢?


_________________
I love smartphone!!!


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-05 16:08 
头像

注册: 2009-08-13 12:15
帖子: 249
送出感谢: 0 次
接收感谢: 0 次
鸡鸡盘,你没事装64bit折腾吗? :em06


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-05 16:16 
头像

注册: 2007-05-05 23:59
帖子: 2032
地址: 嘉兴
送出感谢: 0 次
接收感谢: 1
64位系统安装32位软件比较麻烦。


_________________
ufraw中文(raw图像处理)  http://sites.google.com/site/ufrawzh/
Gimp影像处理 http://sites.google.com/site/gimpcn/


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-05 16:18 
头像

注册: 2007-05-05 23:59
帖子: 2032
地址: 嘉兴
送出感谢: 0 次
接收感谢: 1
jjdisk 写道:
sudo apt-get install ia32-libs*


这条命令用了完全显示没有找到需要升级的任何文件!也就是说我根本没有这个软件的这个库,是不是需要将这个程序放在哪个文件夹里面去呢?

运行sudo apt-get install ia32-libs*后的提示贴出来吧。


_________________
ufraw中文(raw图像处理)  http://sites.google.com/site/ufrawzh/
Gimp影像处理 http://sites.google.com/site/gimpcn/


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-05 20:25 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
楼主不看wiki,不看置顶贴,不看新手指导贴。。。。。。
楼上的各位兄弟说得这么多,楼主就不把出错信息贴出来瞧下,别人怎么帮你?难怪抱怨贴大伙围观得不亦乐乎,好久没这么壮观了。 :em20


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-05 20:38 
头像

注册: 2009-03-05 16:31
帖子: 2794
送出感谢: 0 次
接收感谢: 11
楼主想要干坏事。。。装这个包要在命令行下 加上忽略架构的参数 当然 ia32-libs*也要装


_________________
http://adam8157.info/


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 能不能用最简单的话告诉我,我下载了一个32位的程序,想安装在64位操作系统上!
帖子发表于 : 2009-09-05 20:52 
头像

注册: 2009-06-05 18:13
帖子: 694
送出感谢: 0 次
接收感谢: 0 次
最简单的话就是:
代码:
不可以


_________________
==========================
我的博客地址:http://blog.163.com/fanglinyong_81
这里记录了我学习使用ubuntu中遇到的诸多问题,希望整理出来,供网友参考,也希望各位能提出不同的解决方法!

==========================
system:ubuntu9.04
firefox3.5.2
CPU:AMD Sempron(tm) 2500+
DDR:1G

==========================


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 20 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译